%% SIDLOC - Ariane 6 experiment
%% Copyright (C) 2022-2025 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

\documentclass[english,title,a4paper]{report}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage{float}
\usepackage[hidelinks]{hyperref}
\usepackage[toc,acronyms,section,nopostdot,nonumberlist,section=section,numberedsection]{glossaries}
\usepackage[toc]{appendix}
\usepackage{graphicx}
\usepackage{lastpage}
\usepackage{titlesec}
\usepackage{fancyhdr}
\usepackage{lipsum}
\usepackage{booktabs}
\usepackage[maxfloats=500]{morefloats}
\usepackage{lscape}
\usepackage{makecell}
\usepackage[table]{xcolor}
\usepackage{fixme}
\usepackage{pdfpages}


\fancypagestyle{plain}{
  \fancyhf{}
  \fancyhead[L]{SIDLOC}
  \fancyhead[R]{Ariane 6 Experiment}
  \fancyfoot[L]{Version \version}
  \fancyfoot[C]{\thepage{} of~\pageref{LastPage}}
  \fancyfoot[R]{\copyright{} Libre Space Foundation}
  \renewcommand{\headrulewidth}{0.4pt}
  \renewcommand{\footrulewidth}{0.4pt}
}
\pagestyle{plain}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}

\input{include/version}
\input{include/requirements-urls}

\makeglossaries{}

%% Acronyms
\input{glossaries/acronyms}

\title{
  Ariane 6 Experiment \\
  \large{SIDLOC}
}
\author{Libre Space Foundation}
\date{\versiondate\\Version \version}

\titleformat{\chapter}[hang]
{\normalfont\bfseries\Huge}{\thechapter.}{10pt}{}

\begin{document}

\hypersetup{pageanchor=false}
\maketitle
\hypersetup{pageanchor=true}
\tableofcontents

\chapter{Changelog}

\begin{tabular}{llp{6.5cm}}
  \toprule
  Version & Date          & Changes                            \\
  \midrule
  1.3.0   & March 8, 2023 & \textbullet{} First stable release \\
  \bottomrule
\end{tabular}

\chapter{Introduction}\label{req:75}

SIDLOC was granted its first flight opportunity onboard the Ariane 6 maiden flight.
This was a much-appreciated opportunity, even though it arrived at a very early stage during the development of SIDLOC\@.
The fact that the SIDLOC mission will be launched earlier than scheduled imposes certain constraints that inevitably interfere with our general requirements.
These constraints include a short flight duration of one and a half orbits where there will be no need for solar power to be used.
The experiment will be mounted on the rocket's ballast, a big aluminium slab, changing the antenna pattern.
In addition, the need for a big DSUB-9 connector forces a much bigger structure than the one in mind.
The short duration of the mission imposes the need for a different approach to the beaconing pattern, sending more frequent frames than required for identification and localization.
Had it been possible to begin the experiment earlier on the flight and immediately after the fairing separation, we would have had a way to test SIDLOC operation on launch vehicles too.

\chapter{Composition}

Below are some sections that are exactly the same as presented in the design document and also sections in which the differences regarding the Ariane 6 experiment are presented.

\section{Identification and Localization Beacon}


\subsection{Protocol}\label{req:52a}

For the Ariane 6 experiment the SIDLOC protocol defined in the design document was followed.
Secondary objective of the experiment is to test also variations of the protocol to evaluate performance.

\subsection{Digital Signal Processing Unit}\label{req:33b}\label{req:50}\label{req:51}

The design document was followed for Ariane 6 experiment.

\subsection{MCU}

The design document was followed for Ariane 6 experiment.

\subsection{RF Front End}\label{req:33a}\label{req:78}\label{req:88}\label{req:89}

The design document was followed for Ariane 6 experiment.

\subsubsection{Antenna Simulation}

For the simulation, we used \href{https://openems.de/start/}{openEMS}.
The simulation parameters are listed in \autoref{tab:antenna_simulation_parameters}.

\begin{table}[H]
  \centering
  \caption{Antenna simulation parameters}\label{tab:antenna_simulation_parameters}
  \begin{tabular}{@{}ll@{}}
    \toprule
    \textbf{Simulation parameter} & \textbf{Value} \\ \midrule
    Center frequency              & 400MHz         \\ \midrule
    Length                        & 240mm          \\ \midrule
    Radius                        & 1mm            \\ \midrule
    Metal property                & PEC            \\ \midrule
    Feed impedance                & 50Ohm          \\ \midrule
    Electromagnetic field solver  & FDTD           \\ \bottomrule

  \end{tabular}
\end{table}

The \autoref{fig:Antenna-s11} shows the S11 from antenna SIDLOC beacon simulation.
\begin{figure}[!ht]
  \centering
  \includegraphics[width=0.6\textwidth]{images/S11-beacon-antenna.png}
  \caption{S11 simulation antenna beacon}\label{fig:Antenna-s11}
\end{figure}

The \autoref{fig:radiation-pattern-antenna-beacon} shows the simulation Radiation pattern.
\begin{figure}[!ht]
  \centering
  \includegraphics[width=0.6\textwidth]{images/radiation-pattern-beacon-antenna.png}
  \caption{Radiation pattern antenna beacon}\label{fig:radiation-pattern-antenna-beacon}
\end{figure}

The \autoref{fig:impendance-frequency-beacon-antenna} shows feed point impedance.
\begin{figure}[!ht]
  \centering
  \includegraphics[width=0.6\textwidth]{images/impendance-frequency-beacon-antenna.png}
  \caption{Feed point impendance}\label{fig:impendance-frequency-beacon-antenna}
\end{figure}

\begin{center}
  \begin{tabular}{c >{\centering\arraybackslash}m{0.2\textwidth} >{\centering\arraybackslash}m{0.2\textwidth} >{\centering\arraybackslash}m{0.2\textwidth}}
    \toprule
    Antenna          & Center Frequency & Frequency Range & Fractional Bandwidth \\ \midrule
    Monopole Antenna & 400MHz           & 38MHz           & 0,095                \\ \bottomrule
  \end{tabular}
\end{center}
\subsection{Antenna deployment mechanism}

The antenna deployment mechanism consists of three different parts. The antenna itself (made form Nitinol wire), the thermal knives cap (made from PEEK plastic) and a piece of Dyneema string. The antenna is soldered to the RFFE PCB and passes through the top aluminum cap. A PEEK part is used to hold the antenna in place and relief the solder joint from any stresses produced during the deployment. It also electrically isolates the antenna from the top aluminum cap.
The Nitinol antenna is glued to the PEEK thermal knives cap with a tiny amount of super glue
The antenna is wrapped around the turrets of the two side plates and
The antenna is held in the stowed position with the help of a PEEK cap and the Dyneema
A sense switch is held closed by the antenna when in the stowed position.
The free side of the Nitinol antenna is glued to the PEEK thermal knives cap with a tiny amount of epoxy. 

\begin{figure}[H]
  \centering
  \includegraphics[width=0.5\textwidth]{images/Thermal-knives-side.png}
  \caption{Thermal knives side}\label{fig:Thermal knives side}
\end{figure}

Then, the antenna is wrapped around the turrets of the two side plates and the cap is securely attached to the thermal knives with a piece of Dyneema string. 
The thermal knives side plate incorporates a switch, that is pressed by the PEEK cap when stowed. After the deployment, the switch is released and the deployment sensing happens. 
The stowed as well as the deployed state of the antenna can be seen in figures \autoref{fig:Stowed antenna} and \autoref{fig:Deployed antenna}.

\begin{figure}[H]
  \centering
  \includegraphics[width=0.5\textwidth]{images/Stowed-antenna.png}
  \caption{Stowed antenna}\label{fig:Stowed antenna}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=0.5\textwidth]{images/Deployed-antenna.png}
  \caption{Deployed antenna}\label{fig:Deployed antenna}
\end{figure}

\subsection{Antenna deployment envelope}

The antenna deployment event is contained inside the envelope shown in \autoref{fig:Ortho deployment envelope} and \autoref{fig:Top deployment envelope}.
The envelope is a sphere with a radius of 166mm. Its center is at the base of the antenna and it is cut in two places. 

\begin{figure}[H]
  \centering
  \includegraphics[width=0.5\textwidth]{images/Ortho-deployment-envelope.png}
  \caption{Isometric view}\label{fig:Ortho deployment envelope}
\end{figure}

\begin{figure}[H]
  \centering
  \includegraphics[width=0.5\textwidth]{images/Top-deployment-envelope.png}
  \caption{Top view}\label{fig:Top deployment envelope}
\end{figure}

\subsection{Beacon format}\label{req:84}

The beacon format used in this experiment follows the minimal format, as defined in the System Design Document.

\subsection{Latching Mechanism}\label{sec:Latching Mechanism}

A latching mechanism (\autoref{fig:sidloc-latch-schematic}) is used to ensure that the SIDLOC beacon will remain on after receiving the deployment electrical signal.
The latching mechanism also allows for integration testing where the latching mechanism can be reset.
When in normal operation, the SIDLOC beacon is activated by either a Normally Open switch or the application of a specified voltage.
These signals can be either continuous or single shot.
In either case, SIDLOC activation is latched.

Once SIDLOC is activated, a fusible component ensures that in case of battery depletion, SIDLOC will remain activated, provided that power is applied by an external source.
The fusing operation is not reversible.

During integration, fusing operation can be inhibited via the \acrfull{kfc} jumper, and a full deployment test can be conducted.
In this case, the latching mechanism can be reset by inserting the \acrfull{rbf} pin.

\subsubsection{Circuit Description}

The heart of the latching mechanism is U404, a triple input OR gate.
When any of the inputs (1,6) are High, U404 will self-latch, and its output will remain high independent of the inputs, thus keeping SIDLOC activated.
Input 1 can be triggered either via a switch connected to U405 or a positive voltage pulse on U407.
Once activated, Q401 burns a fuse F401 locking input 6 to a high state and permanently activating SIDLOC\@.
This function can be inhibited via a KFC jumper for testing purposes.
During integration, U410 keeps the latching mechanism deactivated when the RBF jumper is inserted.
During testing, the insertion of the RBF jumper will reset the latching mechanism, provided the KFC jumper has not been removed while the circuit was active.

\begin{figure}[H]
  \centering
  \includegraphics[width=1\textwidth]{images/SIDLOC-Latch.png}
  \caption{Latching circuit}\label{fig:sidloc-latch-schematic}
\end{figure}

\subsection{Power Management}\label{req:96a}\label{req:93}\label{req:22}\label{req:73}\label{sec:Power Management}

On this mission, SIDLOC will operate under independent supply power mode and calculated operation duration based on battery depletion.
The power source will be the onboard battery without solar cells.
Beacon interval and battery capacity are selected to fit the mission profile.
A charging port is provided for charging the battery via the onboard charger if needed.
Acceptable voltage range is 5V-18V (5V recommended)

\subsubsection{Power Consumption}

\begin{table}[H]
  \centering
  \caption{Power consumption per subsystem and state}\label{tab:power-totals}
  \begin{tabular}{>{\raggedright\arraybackslash}m{0.2\textwidth} >{\centering\arraybackslash}m{0.1\textwidth} >{\centering\arraybackslash}m{0.1\textwidth} >{\centering\arraybackslash}m{0.1\textwidth} >{\centering\arraybackslash}m{0.1\textwidth} >{\centering\arraybackslash}m{0.1\textwidth}}
      \toprule
      \textbf{Component / State} & \textbf{Voltage (V)} & \textbf{Sleep (mA)} & \textbf{Acq/Req Data (mA)} & \textbf{RX (mA)} & \textbf{TX (mA)} \\ \midrule
      MCU                        & 3.30                 & 0.13                & 8.00                       & 8.00             & 8.00             \\ \midrule
      CAN Xceiver                & 3.30                 & 0.02                & 60.00                      & 0.02             & 0.02             \\ \midrule
      FPGA                       & 3.30                 & 0.00                & 0.00                       & 60.61            & 60.61            \\ \midrule
      RF Transceiver             & 3.30                 & 0.00                & 0.00                       & 36.06            & 70.00            \\ \midrule
      RFFE                       & 3.30                 & 0.70                & 0.70                       & 100.00           & 260.00           \\ \midrule
                                 &                      &                     &                            &                  &                  \\ \midrule
      Total (mW)                 &                      & 2.79                & 226.71                     & 475.47           & 1115.47          \\ \midrule
      Total (mA)                 &                      & 0.8                 & 68.7                       & 204.7            & 398.6            \\ \bottomrule
    \end{tabular}
\end{table}

During integration period, power consumption in combination with battery self discharged is shown in \autoref{tab:stby-power-consumption}

\begin{table}[H]
  \centering
  \caption{Stand-by power consumption}\label{tab:stby-power-consumption}
  \begin{tabular}{@{}ll@{}}
    \toprule
    Battery self discharge & 0.5 mW/day \\ \midrule
    Self Life (RBF Installed)             & 6 months   \\ \midrule
    STBY power             & 10nA       \\ \midrule
    Max STBY duration      & 40 days    \\ \midrule
    Remaining capacity     & 89.5 \%    \\ \midrule
    Operation lifetime     & 4.4h      \\ \bottomrule
  \end{tabular}
\end{table}

\subsubsection{Operational parameters}

Based on determined power generation and power consumption for an autonomous beacon, operational parameters are calculated as follows:
\begin{table}[H]
  \centering
  \caption{Power consumption per subsystem and state}\label{tab:power-budget}
  \begin{tabular}{lr}
    \toprule
    \textbf{Parameter}               & \textbf{Duration} \\ \midrule
    Beacon interval                  & 60s               \\ \midrule
    TX duration                      & 12s               \\ \midrule
    RX duration                      & 0s                \\ \midrule
    Data acquisition duration        & 0s                \\ \midrule
    Average power income (mW/orbit)  & 0 mW              \\ \midrule
    Battery capacity at launch (min) & 92.8\%            \\ \midrule
    Expected run time                & 4.6h              \\ \bottomrule
  \end{tabular}
\end{table}\label{req:96b}\label{req:66}
Depending on the power battery depletion rate, the beacon interval may be adjusted.

\subsection{Software}\label{req:47}\label{sec:Software}

All software running on the MCU and FPGA is static and it is not possible to receive over-the-air updates.

\subsubsection{Debug interface}\label{req:100}

Debug via JTAG interface.
See design document

\subsection{Structure}\label{req:21a}\label{sec:Structure}

SIDLOC Ariane structure is made to be mounted on Ariane 6 ballast using $\times$4 M3$\times$30 DIN7985 screws providing mounting for the DSUB-9 connector and the needed grounding stud.
The Top and bottom cover parts are made from aluminium, and the rest of the structure is mostly made of FR4 panels and the four bolts connecting the subsystems.
A drawing of the device can be found in \autoref{mechanical_ICD}.
The mechanical characteristics of the device are based on the CAD file and simulations. The 3D CAD model with a part of the antenna, can be seen in Figure 3.2.
\begin{figure}[H]
  \centering
  \includegraphics[width=1\textwidth]{images/Stowed-antenna.png}
  \caption{SIDLOC Ariane structure}\label{fig:sidloc-structural}
\end{figure}

\begin{table}[H]
  \centering
  \caption{Structural characteristics based on CAD model}\label{tab:structural-characteristics}\label{req:77}\label{req:68a}\label{req:21b}\label{req:71a}
  \begin{tabular}{>{\raggedright\arraybackslash}m{0.45\textwidth} >{\raggedright\arraybackslash}m{0.45\textwidth}}
    \toprule
    \textbf{Parameter}                                           & \textbf{Value}                    \\ \midrule
    Mass                                                         & 0.14 Kg                           \\ \midrule
    Center of mass (See \autoref{mechanical_ICD}.)          & X = 1.1mm Y = -1.0mm Z = 14.2mm   \\ \midrule
    Bounding box dimensions (See \autoref{mechanical_ICD}.) & X = 63.0mm Y = 63.0 mm Z = 40.4mm \\ \midrule
    First modal frequency                                        & 6.2 KHz (Parallel to Z axis)      \\ \midrule
    Second modal frequency                                       & 6.9 KHz (Parallel to Z axis)      \\ \midrule
    Third modal frequency                                        & 7.3 KHz (Parallel to Y axis)      \\ \bottomrule
  \end{tabular}
\end{table}

\subsubsection{Debris mitigation strategy}\label{req:98}

The antenna deployment mechanism consists of two thermal knives and two standoffs attached to two side panels.
The antenna is wrapped around the beacon and held in place with a Dyneema string wrapped around the thermal knives.
The standoffs serve the purpose of guiding the antenna around the beacon.

When current passes through the thermal knives, the string melts locally, and the antenna is released due to the material's natural elasticity.
Due to the nature of the mechanism, no space debris is released.
The remaining threading is firmly secured and glued to the antenna.

\subsection{Component Selection}\label{sec:Components}


\subsubsection{Component Availability}\label{req:31}\label{req:58}

As far as component availability is concerned, no components included SIDLOC hardware have reached their End Of Life.
All electronic components are COTS and some mechanical parts are custom-made.

\subsubsection{Component Reliability}\label{req:45}

Design has taken the ECSS-Q-ST-60C standard into account and as far as the delivered models are concerned, environmental tests will verify full compatibility.

\subsubsection{Hardware Maintainability}\label{req:46}

It is assumed that the beacon cannot be serviced while in orbit, thus all components lifetimes exceed the expected operational lifetime of the beacon as a whole.

\subsubsection{Material List}

\begin{table}[H]
  \centering
  \caption{Material List}\label{tab:materials-list}
  \begin{tabular}{lll}
    \toprule
    \# & Part                  & Material                              \\ \midrule
    1  & PCB                   & FR4 and copper                        \\ \midrule
    2  & Passive Components    & NA                                    \\ \midrule
    3  & ICs                   & NA                                    \\ \midrule
    4  & Connector             & NA                                    \\ \midrule
    5  & Top and Bottom Covers & Al 7075 (Chromate conversion coating) \\ \midrule
    6  & Bolts                 & A4 Stainless Steel                    \\ \midrule
    7  & Antenna               & Galvanised Steel Rope                 \\ \midrule
    8  & Thread lock           & Loctite 243                           \\ \midrule
    9  & Epoxy Adhesive        & Loctite 9466                          \\ \midrule
    10 & Battery               & NP-BX (Lithium Ion Polymer)           \\ \bottomrule
  \end{tabular}
\end{table}

\subsubsection{Operating temperatures of electronic components}\label{req:67}

\begin{longtable}{@{}ll@{}}
  \caption{Operating temperatures of electronic components}\label{tab:operating-temperatures-of-electronic-components} \\
  \toprule
  \textbf{Component}          & \textbf{Temperature Limits} \\ \midrule
  SPV1040TTR                  & -40°C to 125°C              \\ \midrule
  BQ24013DRCR                 & -40°C to 125°C              \\ \midrule
  MAX17261METD+               & -40°C to 85°C               \\ \midrule
  TPS621361RGXR               & -40°C to 125°C              \\ \midrule
  TCMT1108                    & -40°C to 100°C              \\ \midrule
  TS331IQT                    & -40°C to 125°C              \\ \midrule
  74AHCT1G04DBVRG4            & -40°C to 125°C              \\ \midrule
  FDN537N                     & -55°C to 150°C              \\ \midrule
  74LVC1G332DCKRE4            & -40°C to 125°C              \\ \midrule
  ECS-TXO-2520MV-320-AY-TR    & -30°C to 85°C               \\ \midrule
  ABS07--32.768KHZ-7-T        & -40°C to 85°C               \\ \midrule
  MS621FE                     & -20°C to 60°C               \\ \midrule
  STM32L431CCT6               & -40°C to 85°C               \\ \midrule
  TCAN334                     & -40°C to 125°C              \\ \midrule
  BD226xG-M                   & -40°C to 85°C               \\ \midrule
  SKYA21003                   & -40°C to 105°C              \\ \midrule
  74LVC1G04                   & -40°C to 85°C               \\ \midrule
  RF1419D                     & -40°C to 85°C               \\ \midrule
  BGA6130                     & -40°C to 85°C               \\ \midrule
  LTC5507ES6\#TRMPBF          & -40°C to 85°C               \\ \midrule
  TSV7723                     & -40°C to 125°C              \\ \midrule
  MAX2634AXT/V+T              & -40°C to 125°C              \\ \midrule
  TQP3M9036                   & -40°C to 105°C              \\ \midrule
  DIO7527AST6                 & -40°C to 85°C               \\ \midrule
  MIC5504--2.5YM5-TR          & -40°C to 125°C              \\ \midrule
  LP5912--1.1DRVT             & -40°C to 125°C              \\ \midrule
  LFE5UM-45F-6BG381I          & -40°C to 100°C              \\ \midrule
  SIT8924AA-72-XXE-26.000000G & -40°C to 125°C              \\ \midrule
  IS25LE512M-RMLE             & -40°C to 105°C              \\ \midrule
  DMN63D1LT-13                & -55°C to 150°C              \\ \midrule
  ATB2012--50011-T000         & -40°C to 85°C               \\ \midrule
  TG2016SMN 26.0000M-MCGNNM0  & -40°C to 85°C               \\ \bottomrule
\end{longtable}

The main battery used (NP-BX) has an operating temperature range of (-10°C to 60°C) for discharging and a temperature range of (0°C to 45°C) for charging.

\subsection{EMC design considerations}

The design document was followed for Ariane 6 experiment.

\section{Ground Segment}\label{req:83}\label{req:24a}\label{req:74}

The design document was followed for Ariane 6 experiment.

\subsection{DSP Software}\label{req:23}

The design document was followed for Ariane 6 experiment.

\chapter{Concept of Operations}

A description of the overall concept of operations for the Ariane 6 SIDLOC experiment is as follows based on Mission Profile and Flight Sequence documentation provided by Arianespace for this A6 FM1 flight.

\section{Orbital Parameters}

The A6 FM1 flight will be targeting the following orbital parameters:

\begin{table}[H]
  \centering
  \caption{Target orbital parameters for A6 FM1 flight}\label{tab:orbital-parameters}
  \begin{tabular}{lll}
    \toprule
    \textbf{Parameter}  & \textbf{Nominal} \\ \midrule
    Apogee altitude     & 580 km           \\ \midrule
    Perigee altitude    & 580 km           \\ \midrule
    Eccentricity        & 0                \\ \midrule
    Inclination         & 62 deg           \\ \midrule
    Argument of Perigee & free             \\ \bottomrule
  \end{tabular}
\end{table}

\section{Timeline}

The timeline of the experiment nominally will be as follows:

\begin{table}[H]
  \centering
  \caption{Experiment Timeline}\label{tab:experiment-timeline}
  \begin{tabular}{>{\raggedright\arraybackslash}m{0.08\textwidth} >{\raggedright\arraybackslash}m{0.2\textwidth} >{\raggedright\arraybackslash}m{0.28\textwidth} >{\raggedright\arraybackslash}m{0.28\textwidth}}
    \toprule
    \textbf{Time [s]} & \textbf{Event} & \textbf{LV Action}                                   & \textbf{SIDLOC Action}                           \\ \midrule
    0                 & Lift-off       & LV leaves the launch pad                             & N/A                                              \\ \midrule
    218.8             & FJ             & Fairing jettisoning command                          & N/A                                              \\ \midrule
    3945              & Payload enable & LV sends payload enable command to SIDLOC            & Command is received and antennas deployed        \\ \midrule
    xxx               & TX start       & N/A                                                  & SIDLOC transmission begins                       \\ \midrule
    xxx               & Station 1 AOS  & None                                                 & Start of visibility and recording from Station 1 \\ \midrule
    xxx               & Station 1 LOS  & None                                                 & Loss of visibility and recording from Station 1  \\ \midrule
    xxx               & Station 2 AOS  & None                                                 & Start of visibility and recording from Station 2 \\ \midrule
    xxx               & Station 2 LOS  & None                                                 & Loss of visibility and recording from Station 2  \\ \midrule
    xxx               & Station 3 AOS  & None                                                 & Start of visibility and recording from Station 3 \\ \midrule
    xxx               & Station 3 LOS  & None                                                 & Loss of visibility and recording from Station 3  \\ \midrule
    9632.8            & Re-entry       & LV into ballistic re-entry phase after ULPM ignition & N/A                                              \\ \bottomrule
  \end{tabular}
\end{table}

\section{Ground station procedures}\label{req:24b}

Each of the ground stations will implement an unattended concept of operations, namely: IQ recording for offline analysis, real-time decoding, identification, and frequency offset estimation.
Localization is an offline procedure.

\section{Data handling}\label{req:87}

All the data from the experiment (the recorded data, the decoded data and the data produced after offline analysis) will be published after the experiment.
The format of the data to be published is unspecified and will be decided after the experiment.

\section{Radio Frequency Regulatory}\label{req:16a}\label{req:48}\label{req:54}

This experiment is configured to follow all the RF parameters defined in the System Design Document.

\chapter{Verification Plan}


\section{Vibration Test}\label{req:68b}

Perform Resonance survey, Sine, Quasi-static and Random vibration on the Beacon hardware as specified in ECSS-E-ST-10--03C.
The equipment needed for testing is a shaker table and an adapter plate to mount the DUT on the shaker table in X, Y and Z configuration.

\subsection{Test Profiles}

The Beacon hardware must be tested at qualification levels following ECSS-E-ST-10--03C standards with profiles shown in the Tables below.


Resonance survey profile:
\begin{table}[H]
  \centering
  \caption{Resonance survey profile}\label{tab:resonance-servey-profile}
  \begin{tabular}{ll}
    \toprule
    \textbf{Frequency (Hz)} & \textbf{Level (g)} \\ \midrule
    5 --- 2000              & 0.4                \\ \bottomrule
  \end{tabular}
\end{table}


Sine Vibration:
\begin{table}[H]
  \centering
  \caption{Sine Vibration}\label{tab:sine-vibration}
  \begin{tabular}{lll}
    \toprule
    \textbf{Frequency (Hz)} & \textbf{Level (g)} & \textbf{Sweep Rate (oct/min)} \\ \midrule
    5 --- 100               & 2.5                & 2                             \\ \midrule
    100 --- 125             & 1.25               & 2                             \\ \bottomrule
  \end{tabular}
\end{table}


Quasi Static:
\begin{table}[H]
  \centering
  \caption{Quasi Static}\label{quasi-static}
  \begin{tabular}{lll}
    \toprule
    \textbf{Frequency (Hz)} & \textbf{Level (g)} & \textbf{Full Cycles} \\ \midrule
    50                      & 9.6                & 6                    \\ \bottomrule
  \end{tabular}
\end{table}


Random Vibration:
\begin{table}[H]
  \centering
  \caption{Random Vibration}\label{random-vibration}
  \begin{tabular}{>{\centering\arraybackslash}m{0.3\textwidth} >{\centering\arraybackslash}m{0.3\textwidth} >{\centering\arraybackslash}m{0.15\textwidth} >{\centering\arraybackslash}m{0.1\textwidth}}
    \toprule
    \textbf{Frequency (Hz)} & \textbf{Level (g 2/Hz)} & \textbf{Overall (g rms)} & \textbf{Test Time (s)} \\ \midrule
    20                      & 0.006                   & 10                       & 120                    \\ \midrule
    20 --- 100              & 0.006 +6dB/oct          & 10                       & 120                    \\ \midrule
    100 --- 700             & 0.04                    & 10                       & 120                    \\ \midrule
    700 --- 2000            & 0.04 -6dB/oct           & 10                       & 120                    \\ \midrule
    2000                    & 0.006                   & 10                       & 120                    \\ \bottomrule
  \end{tabular}
\end{table}

\subsubsection{Test Sequence}

The axis sequence is indicative and can be interchanged without affecting the results.

Z test sequence:
\begin{table}[H]
  \centering
  \caption{Z test sequence}\label{z-test-sequence}
  \begin{tabular}{lll}
    \toprule
    \textbf{Test ID} & \textbf{Test Name}         & \textbf{Profile} \\ \midrule
    1                & Resonance Survey MGSE Z    & Resonance Survey \\ \midrule
    2                & Initial Resonance Survey Z & Resonance Survey \\ \midrule
    3                & Sine Vibration Z           & Sine Vibration   \\ \midrule
    4                & Quasi Static Shock Z       & Sine Shock       \\ \midrule
    5                & Random Vibration Z         & Random Vibration \\ \midrule
    6                & Final Resonance Survey Z   & Resonance Survey \\ \bottomrule
  \end{tabular}
\end{table}
X/Y Test sequence:
\begin{table}[H]
  \centering
  \caption{X/Y Test sequence}\label{x/y-test-sequence}
  \begin{tabular}{lll}
    \toprule
    \textbf{Test ID} & \textbf{Test Name}        & \textbf{Profile} \\ \midrule
    7                & Resonance Survey MGSE Y/X & Resonance Survey \\ \bottomrule
  \end{tabular}
\end{table}
Y axis:
\begin{table}[H]
  \centering
  \caption{Y axis}\label{y-axis}
  \begin{tabular}{lll}
    \toprule
    \textbf{Test ID} & \textbf{Test Name}         & \textbf{Profile} \\ \midrule
    8                & Initial Resonance Survey Y & Resonance Survey \\ \midrule
    9                & Sine Vibration Y           & Sine Vibration   \\ \midrule
    10               & Quasi Static Shock Y       & Sine Vibration   \\ \midrule
    11               & Random Vibration Y         & Random Vibration \\ \midrule
    12               & Final Resonance Survey Y   & Resonance Survey \\ \bottomrule
  \end{tabular}
\end{table}
X axis
\begin{table}[H]
  \centering
  \caption{X axis}\label{x-axis}
  \begin{tabular}{lll}
    \toprule
    \textbf{Test ID} & \textbf{Test Name}         & \textbf{Profile} \\ \midrule
    13               & Initial Resonance Survey X & Resonance Survey \\ \midrule
    14               & Sine Vibration X           & Sine Vibration   \\ \midrule
    15               & Quasi Static Shock X       & Sine Vibration   \\ \midrule
    16               & Random Vibration X         & Random Vibration \\ \midrule
    17               & Final Resonance Survey X   & Resonance Survey \\ \bottomrule
  \end{tabular}
\end{table}

Expected Result:

\begin{itemize}
\item The first modal frequency in each axis should be greater than 200Hz.
\item The difference in the first modal frequency between the pre- and post-resonance survey should be under 5\%.
\item Visual inspection of the device after vibration should not show any signs of damage.
\item Functional tests should be passed successfully before and after the vibration test.
\end{itemize}

\subsection{Bake-Out procedure}

Perform the Bake-out procedure for the Beacon hardware as specified in LSP-REQ-317:
\begin{itemize}
\item For proto-flight testing, Beacon hardware should be baked in \(10^{-4}\) Torr and 70°C for three hours after the temperature stabilization.
\item Beacon hardware should be switched off throughout the procedure.
\item Beacon hardware should be weighed before and after the procedure, and the difference in mass should be less than 1\% for the test to be successful.
\item Battery voltage should be measured before and after the test, and the difference should be less than 1\%.
\item Beacon hardware should be able to pass the functional tests after the bake-out test successfully.
\end{itemize}

\subsection{Antenna Deployment Test}

The antenna is held in a stowed position with the help of a Dyneema string, a thermal knife is used to release the antenna.
For the test, it will use a thermal vacuum chamber (TVAC), and once the temperature drops -20°C, the antenna will be deployed while the vacuum is maintained high (typically $\approx$ \(10^{-4}\) Torr).

\subsection{Functional Testing}

Prerequisites Beacon hardware for Functional testing:
\begin{itemize}
\item The firmware must be the final flight firmware.
\item It is in a stowed configuration.
\item The batteries must be fully charged.
\item The ground station (or ground support equipment) must be ready to communicate with the Beacon hardware, and the logging system to be ready to record.
\end{itemize}
Test sequence
\begin{itemize}
\item Plug the device to the GSE
\item Remove RBF tags
\item Send deployment signal to device
\item Wait for the antenna deployment
\item Receive signals from ground station
\end{itemize}

\subsection{EMC Test}\label{req:69}

Regarding Electro-Magnetic Compatibility testing, some Conducted Emissions (CE), Conducted Susceptibility (CS), Radiated Emissions (RE) and Radiated Susceptibility (RS) tests apply to SIDLOC in this experiment.
These tests are described in MIL-STD-461F~\cite{mil-std-emi}.
In this standard, tests regarding CE and CS are described in sections 5.5 and [5.7, 5.13, 5.14, 5.15] respectively, while tests related to RE and RS are described under sections 5.17 and 5.20 respectively.

More specific CE and CS are done by reviewing the schematic and description of it at Section~\ref{sec:Latching Mechanism}.
It is important that in this experiment there are no power interface with external system.
Also, the signal interface is isolated (in case of telemetry feedback) and high impedance (in case of activation signal), as suggested by Ariane during first phase of the mission.

Preliminary results for RE are provided at Appendix~\ref{app:rffe-test-report}.
It is important to note that mask and spurious of emission is also according to Recommendation SFCG 21--2R4.

\chapter{ Radiation Tolerance }

\section{Radiation Effects Description \& Mitigation}

To fully describe the system's tolerance against them, it is necessary to define the types of faults caused by exposure to radiation, which apply to this experiment.
Radiation effects can be distinguished into Cumulative Effects and Single Event Effects (SEE), with the former not being of particular interest for the present hardware configuration due to its small orbital lifetime and the latter being further analyzed below.
Single Event Effects can be broken down into soft and hard errors, depending on the severity of the damage they cause.
Soft errors include Single Event Upset (SEU), Single Event Transient (SET) and Single Event Functional Interrupt (SEFI).
On the other hand, Single Event Latch-up (SEL), Single Event Snapback (SESB), Single Event Dielectric Rupture (SEDR), Single Event Gate Rupture (SEGR) and Single Event Burnout (SEB) can all be categorized under hard errors.
In the next chapters, the effect of each of the aforementioned errors on the system along with its mitigation scheme is briefly described.
Generally, since the mission is destined for LEO and LEO polar with a small lifetime, the probability of SEEs is reduced.

\subsection{Soft Errors --- SEU/SEFI}\label{req:70}

This type of fault can introduce bit flips in memory structures, thus causing data corruption.
The devices that are most prone to SEU are the MCU and the external serial flash memory used by the FPGA\@.
These devices have integrated ECC mechanisms to detect and correct such errors.
More specifically, the included ECC in the flash memory used by the FPGA applies 1-bit error correction per 64-bit and the ECC in the flash memory of the MCU can detect and correct a single error, or detect up to two errors.
In addition, the selected flash memory for the FPGA is NOR-type, which is less susceptible to SEU than NAND-type memories.
Finally, since bit flips can also occur in device registers, periodic check-reads are performed from the MCU to the transceiver registers.

\subsection{Soft Errors --- SET}

A Single Event Transient is a current pulse that consequently induces a voltage pulse.
In the literature~\cite{SET_modelling} said current pulse is claimed to last from a few dozen ps to a fraction of an ns, with its amplitude ranging from several uA to several mA.
The magnitude of the phenomenon is small, yet protective diodes are included internally in the pins of the MCU and the FPGA\@.

\subsection{Hard Errors --- SEL/SESB/SEDR}\label{req:56}

Single Event Latch-Up can occur in CMOS structures and results in a large current draw.
Many components include some latch-up tolerance and in-series resistors have been placed on the signal lines to reduce the current in such events (along with other purposes not related to SELs).
Furthermore, load switches with current limit have been used on the power rails of critical components such as the FPGA and the transceiver.

Although they are different with respect to their cause, the effect of SESB and SEL is the same: a self-sustained high current state.
The severity of a SESB is less than that of a SEL, and it can be mitigated with the same techniques.

Also resulting in a current increase is the SEDR fault, yet it is considered more of academic interest because it is mostly observed during earth testing and not in space.

\subsection{Hard Errors --- SEGR/SEB}

These events are often observed simultaneously in power MOSFETS when they are in an OFF state.
The result of a SEGR is the destruction of the MOSFETs gate, while a SEB causes a short circuit between the drain and source; both events result in catastrophic damage.
It is worth mentioning that such events usually appear at higher drain-source bias voltages than the ones the MOSFETs in this design deal with.
Besides using radiation-hardened components, the probability of such faults is reduced by using P-channel MOSFETS instead of N-channel and operating the MOSFETs below their nominal ratings (some de-rating factors are provided in~\cite{EEE_parts_selection}).
In this design, radiation-hardened components are not included and de-rating is used as a means of protection from such events.

\section{Component radiation tolerance}

As part of a radiation protection policy, radiation-hardened parts are used in some designs.
These parts greatly reduce the risk of faults induced by radiation effects, with increased cost being the dominant drawback among others.
In this design, since the risk of radiation faults is low due to the orbit type and the small orbital lifetime, no radiation-hardened parts are used, and possible radiation-related faults are mitigated as described above.
Moreover, according to~\cite{COTS_parts_smallsats}, COTS (non rad-hard) components have some radiation tolerance.
More specifically, non-semiconductors, single junction diodes and BJTs can be estimated to have a 30 krad radiation tolerance, provided that they are operated in conditions well below their nominal ratings.


In this design, although only ``soft'' components are used, a degree of radiation ``hardness'' is applicable at the system and sub-system level through the use of protective mechanisms for each specific event, as described above.
In a component-level analysis, de-rating is employed as the main protection factor along with the fact that some components (e.g.\ the SPV1040 used for solar panel power management) have acquired flight heritage during the QUBIK mission.

\section{Radiation susceptibility of the latching mechanism}

In this section, the radiation susceptibility of the latching mechanism is analyzed for the Ariane 6 launch.
In the configuration for this launch, the radiation-related failure points of the latching mechanism are summarized in \autoref{tab:latching-mechanism-component-level-radiation-analysis}.
Cumulative radiation effects are not included in this table since the small orbital lifetime of the device and the type of orbit it will be operating in deem their probability to be very low.
Furthermore, since most non-passive devices on the latching circuit are op-amps and gates, the dominant faults that need to be considered are SETs and SELs.
For the optocoupler, the analysis is influenced by the results presented in~\cite{opto_rad_tests}.

\begin{table}[H]
  \centering
  \caption{Latching mechanism component-level radiation analysis}\label{tab:latching-mechanism-component-level-radiation-analysis}
  \begin{tabular}{>{\raggedright\arraybackslash}m{0.25\textwidth} c >{\raggedright\arraybackslash}m{0.35\textwidth}}
    \toprule
    \textbf{Component}      & \textbf{Possible Faults}       & \textbf{Mitigation}                                                              \\ \midrule
    Passive components      & Cumulative Effects             & Assumed to be tolerant as described in ``Component Radiation Tolerance''         \\ \midrule
    MOSFET                  & SEB/SEGR                       & de-rating                                                                        \\ \midrule
    NOT gate                & \begin{tabular}[c]{@{}c@{}}SET \\ SEL\end{tabular}                                                                & Latch-up performance exceeds 250mA per JESD 17           \\ \midrule
    Differential Comparator & \begin{tabular}[c]{@{}c@{}}SET \\ SEL\end{tabular}                                                                & Latch-up performance of 200mA                            \\ \midrule
    OR gate                 & \begin{tabular}[c]{@{}c@{}}SET \\ SEL\end{tabular}                                                                & Latch-up performance exceeds 100mA per JESD 78, Class II \\ \midrule
    Optocoupler             & SET                            & Small probability due to low speed based on the results in~\cite{opto_rad_tests} \\ \bottomrule
  \end{tabular}
\end{table}

\chapter{Requirements Matrix}

\IfFileExists{include/requirements}{\input{include/requirements}}{} % chktex 27

\begin{longtable}{rlcp{0.5\linewidth}}
  \toprule
  \textbf{REQ} & \textbf{Sections} & \textbf{Compliance} & \textbf{Comment} \\ \midrule
  \ifdefined\reqmatrixariane{}
    \reqmatrixariane{}
  \fi
\end{longtable}

\begin{appendices}

  \chapter{CONOPS leaflet}

  \section{Orbital parameters}

  \begin{table}[H]
    \centering
    \begin{tabular}{lll}
      \toprule
      \textbf{Parameter}  & \textbf{Nominal} \\ \midrule
      Apogee altitude     & 580 km           \\ \midrule
      Perigee altitude    & 580 km           \\ \midrule
      Eccentricity        & 0                \\ \midrule
      Inclination         & 62 deg           \\ \midrule
      Argument of Perigee & free             \\ \bottomrule
    \end{tabular}
  \end{table}

  \section{Experiment timeline}

  \begin{table}[H]
    \centering
    \begin{tabular}{>{\raggedright\arraybackslash}m{0.08\textwidth} >{\raggedright\arraybackslash}m{0.2\textwidth} >{\raggedright\arraybackslash}m{0.28\textwidth} >{\raggedright\arraybackslash}m{0.28\textwidth}}
      \toprule
      \textbf{Time [s]} & \textbf{Event} & \textbf{LV Action}                                   & \textbf{SIDLOC Action}                           \\ \midrule
      0                 & Lift-off       & LV leaves the launch pad                             & N/A                                              \\ \midrule
      218.8             & FJ             & Fairing jettisoning command                          & N/A                                              \\ \midrule
      3945              & Payload enable & LV sends payload enable command to SIDLOC            & Command is received and antennas deployed        \\ \midrule
      xxx               & TX start       & N/A                                                  & SIDLOC transmission begins                       \\ \midrule
      xxx               & Station 1 AOS  & None                                                 & Start of visibility and recording from Station 1 \\ \midrule
      xxx               & Station 1 LOS  & None                                                 & Loss of visibility and recording from Station 1  \\ \midrule
      xxx               & Station 2 AOS  & None                                                 & Start of visibility and recording from Station 2 \\ \midrule
      xxx               & Station 2 LOS  & None                                                 & Loss of visibility and recording from Station 2  \\ \midrule
      xxx               & Station 3 AOS  & None                                                 & Start of visibility and recording from Station 3 \\ \midrule
      xxx               & Station 3 LOS  & None                                                 & Loss of visibility and recording from Station 3  \\ \midrule
      9632.8            & Re-entry       & LV into ballistic re-entry phase after ULPM ignition & N/A                                              \\ \bottomrule
    \end{tabular}
  \end{table}

  \section{Ground station procedures}

  \begin{table}[H]
    \centering
    \begin{tabular}{cl}
      \toprule
      \textbf{\#} & \textbf{Procedure} \\ \midrule
      1 & IQ recording for offline analysis \\ \midrule
      2 & Real-time decoding  \\ \midrule
      3 & Identification \\ \midrule
      4 & Frequency offset estimation \\ \midrule
      5 & Localisation is an offline procedure \\ \bottomrule
    \end{tabular}
  \end{table}

  \chapter{Link budget}\label{req:16b}\label{req:53}

  The link budget of Ariane 6 maiden flight is a better case of a worst-case scenario of 780km altitude that is analysed in the System Design Document.
  The orbital parameters of the flight are described in \autoref{tab:orbital-parameters}.
  The parameter that affects the link budget is the free space loss.
  As a result, the link is achieved in elevation less than 40$^{\circ}$ and more than 20$^{\circ}$ (which is referred in to link budget analysis for 400km altitude).

  \chapter{Battery NP-BX1 / SP94BPIN2C Safety Datasheet}

  \includepdf[pages=-]{images/NP-BX1_SDS_20200101.pdf}

  \chapter{ICD}


  \section{Electrical Interface}\label{req:59}\label{req:101}

  \begin{table}[H]
    \centering
    \caption{Harness connector pinout}\label{tab:Harness-connector}
    \begin{tabular}{@{}lll@{}}
      \toprule
      \multicolumn{3}{c}{\textbf{DEMA 9S Connector Pinout}} \\ \midrule
      \textbf{Pin}                                          & \textbf{Function}    & \textbf{Comment}                \\ \midrule
      1                                                     & Charge               & Used for ground charging, 5V 1A \\ \midrule
      2                                                     & Deploy Signal        & Switch NO                       \\ \midrule
      3                                                     & Not Used             &                                 \\ \midrule
      4                                                     & Deploy Signal        & Switch NO                       \\ \midrule
      5                                                     & Telemetry            & Switch NC                       \\ \midrule
      6                                                     & GND                  & Used for ground charging        \\ \midrule
      7                                                     & Deploy Signal return & Switch NO                       \\ \midrule
      8                                                     & Deploy Signal return & Switch NO                       \\ \midrule
      9                                                     & Telemetry return     & Switch NC
    \end{tabular}
  \end{table}

  \begin{table}[H]
    \centering
    \caption{Telemetry Contact Ratings}\label{tab:telemetry-contact-ratings}
    \begin{tabular}{@{}lll@{}}
      \toprule
      \textbf{Parameter}  & \textbf{Rating} & \textbf{Units} \\ \midrule
      Blocking Voltage    & 60              & V              \\ \midrule
      Load Current        & 150             & mA             \\ \midrule
      On-Resistance (max) & 16              & $\Omega$       \\ \bottomrule
    \end{tabular}
  \end{table}

  \section{Mechanical Interface}\label{mechanical_ICD}\label{req:21c}\label{req:71b}

  The mechanical iterface of SIDLOC Ariane is described in the following drawing

  \includepdf[pages=-]{images/SIDLOC-Ariane-ICD-REV3.pdf}

  \chapter{Assembly guide}

  \includepdf[pages=-]{images/SIDLOC_assembly_guide.pdf}

  \chapter{RFFE Test Report}\label{app:rffe-test-report}

  \includepdf[pages=-]{images/rffe-test-report.pdf}

  \chapter{Environmental Test Report}\label{app:environmental-test-report}

  \includepdf[pages=-]{images/SIDLOC-Ariane-Environmental_report.pdf}

  \chapter{Flight Readiness Report}\label{app:fr-report}

  \includepdf[pages=-]{images/SIDLOC-Ariane-FRR.pdf}

  \chapter{Glossary and Acronyms}

  \printglossary[type=\acronymtype]

\end{appendices}

\bibliographystyle{unsrt}
\bibliography{references}

\end{document}
